<?php
$tdatareporte_participantes = array();
$tdatareporte_participantes[".searchableFields"] = array();
$tdatareporte_participantes[".ShortName"] = "reporte_participantes";
$tdatareporte_participantes[".OwnerID"] = "";
$tdatareporte_participantes[".OriginalTable"] = "pro_participante";


$tdatareporte_participantes[".pagesByType"] = my_json_decode( "{\"report\":[\"report\"],\"rprint\":[\"rprint\"],\"search\":[\"search\"]}" );
$tdatareporte_participantes[".originalPagesByType"] = $tdatareporte_participantes[".pagesByType"];
$tdatareporte_participantes[".pages"] = types2pages( my_json_decode( "{\"report\":[\"report\"],\"rprint\":[\"rprint\"],\"search\":[\"search\"]}" ) );
$tdatareporte_participantes[".originalPages"] = $tdatareporte_participantes[".pages"];
$tdatareporte_participantes[".defaultPages"] = my_json_decode( "{\"report\":\"report\",\"rprint\":\"rprint\",\"search\":\"search\"}" );
$tdatareporte_participantes[".originalDefaultPages"] = $tdatareporte_participantes[".defaultPages"];

//	field labels
$fieldLabelsreporte_participantes = array();
$fieldToolTipsreporte_participantes = array();
$pageTitlesreporte_participantes = array();
$placeHoldersreporte_participantes = array();

if(mlang_getcurrentlang()=="Spanish")
{
	$fieldLabelsreporte_participantes["Spanish"] = array();
	$fieldToolTipsreporte_participantes["Spanish"] = array();
	$placeHoldersreporte_participantes["Spanish"] = array();
	$pageTitlesreporte_participantes["Spanish"] = array();
	$fieldLabelsreporte_participantes["Spanish"]["ci"] = "Ci";
	$fieldToolTipsreporte_participantes["Spanish"]["ci"] = "";
	$placeHoldersreporte_participantes["Spanish"]["ci"] = "";
	$fieldLabelsreporte_participantes["Spanish"]["create_date"] = "Fecha ModIficaion";
	$fieldToolTipsreporte_participantes["Spanish"]["create_date"] = "";
	$placeHoldersreporte_participantes["Spanish"]["create_date"] = "";
	$fieldLabelsreporte_participantes["Spanish"]["estado_participante"] = "Estado Participante";
	$fieldToolTipsreporte_participantes["Spanish"]["estado_participante"] = "";
	$placeHoldersreporte_participantes["Spanish"]["estado_participante"] = "";
	$fieldLabelsreporte_participantes["Spanish"]["fecha"] = "Fecha Habilitacion";
	$fieldToolTipsreporte_participantes["Spanish"]["fecha"] = "";
	$placeHoldersreporte_participantes["Spanish"]["fecha"] = "";
	$fieldLabelsreporte_participantes["Spanish"]["fecha_registro"] = "Fecha Registro";
	$fieldToolTipsreporte_participantes["Spanish"]["fecha_registro"] = "";
	$placeHoldersreporte_participantes["Spanish"]["fecha_registro"] = "";
	$fieldLabelsreporte_participantes["Spanish"]["id"] = "Id";
	$fieldToolTipsreporte_participantes["Spanish"]["id"] = "";
	$placeHoldersreporte_participantes["Spanish"]["id"] = "";
	$fieldLabelsreporte_participantes["Spanish"]["id_promocion"] = "Promocion";
	$fieldToolTipsreporte_participantes["Spanish"]["id_promocion"] = "";
	$placeHoldersreporte_participantes["Spanish"]["id_promocion"] = "";
	$fieldLabelsreporte_participantes["Spanish"]["placa"] = "Placa";
	$fieldToolTipsreporte_participantes["Spanish"]["placa"] = "";
	$placeHoldersreporte_participantes["Spanish"]["placa"] = "";
	$fieldLabelsreporte_participantes["Spanish"]["procedencia"] = "Procedencia";
	$fieldToolTipsreporte_participantes["Spanish"]["procedencia"] = "";
	$placeHoldersreporte_participantes["Spanish"]["procedencia"] = "";
	$fieldLabelsreporte_participantes["Spanish"]["responsable"] = "Responsable";
	$fieldToolTipsreporte_participantes["Spanish"]["responsable"] = "";
	$placeHoldersreporte_participantes["Spanish"]["responsable"] = "";
	$fieldLabelsreporte_participantes["Spanish"]["telefono"] = "Telefono";
	$fieldToolTipsreporte_participantes["Spanish"]["telefono"] = "";
	$placeHoldersreporte_participantes["Spanish"]["telefono"] = "";
	$fieldLabelsreporte_participantes["Spanish"]["tipo_vehiculo"] = "Tipo Vehiculo";
	$fieldToolTipsreporte_participantes["Spanish"]["tipo_vehiculo"] = "";
	$placeHoldersreporte_participantes["Spanish"]["tipo_vehiculo"] = "";
	$fieldLabelsreporte_participantes["Spanish"]["PARTICIPANTE"] = "Participantete";
	$fieldToolTipsreporte_participantes["Spanish"]["PARTICIPANTE"] = "";
	$placeHoldersreporte_participantes["Spanish"]["PARTICIPANTE"] = "";
	if (count($fieldToolTipsreporte_participantes["Spanish"]))
		$tdatareporte_participantes[".isUseToolTips"] = true;
}


	$tdatareporte_participantes[".NCSearch"] = true;



$tdatareporte_participantes[".shortTableName"] = "reporte_participantes";
$tdatareporte_participantes[".nSecOptions"] = 0;

$tdatareporte_participantes[".mainTableOwnerID"] = "";
$tdatareporte_participantes[".entityType"] = 2;
$tdatareporte_participantes[".connId"] = "bsn_dividendos_at_localhost";


$tdatareporte_participantes[".strOriginalTableName"] = "pro_participante";

	



$tdatareporte_participantes[".showAddInPopup"] = false;

$tdatareporte_participantes[".showEditInPopup"] = false;

$tdatareporte_participantes[".showViewInPopup"] = false;

$tdatareporte_participantes[".listAjax"] = false;
//	temporary
//$tdatareporte_participantes[".listAjax"] = false;

	$tdatareporte_participantes[".audit"] = false;

	$tdatareporte_participantes[".locking"] = false;


$pages = $tdatareporte_participantes[".defaultPages"];

if( $pages[PAGE_EDIT] ) {
	$tdatareporte_participantes[".edit"] = true;
	$tdatareporte_participantes[".afterEditAction"] = 1;
	$tdatareporte_participantes[".closePopupAfterEdit"] = 1;
	$tdatareporte_participantes[".afterEditActionDetTable"] = "";
}

if( $pages[PAGE_ADD] ) {
$tdatareporte_participantes[".add"] = true;
$tdatareporte_participantes[".afterAddAction"] = 1;
$tdatareporte_participantes[".closePopupAfterAdd"] = 1;
$tdatareporte_participantes[".afterAddActionDetTable"] = "";
}

if( $pages[PAGE_LIST] ) {
	$tdatareporte_participantes[".list"] = true;
}



$tdatareporte_participantes[".strSortControlSettingsJSON"] = "";




if( $pages[PAGE_VIEW] ) {
$tdatareporte_participantes[".view"] = true;
}

if( $pages[PAGE_IMPORT] ) {
$tdatareporte_participantes[".import"] = true;
}

if( $pages[PAGE_EXPORT] ) {
$tdatareporte_participantes[".exportTo"] = true;
}

if( $pages[PAGE_PRINT] ) {
$tdatareporte_participantes[".printFriendly"] = true;
}



$tdatareporte_participantes[".showSimpleSearchOptions"] = true; // temp fix #13449

// Allow Show/Hide Fields in GRID
$tdatareporte_participantes[".allowShowHideFields"] = true; // temp fix #13449
//

// Allow Fields Reordering in GRID
$tdatareporte_participantes[".allowFieldsReordering"] = true; // temp fix #13449
//

$tdatareporte_participantes[".isUseAjaxSuggest"] = true;



																																													

$tdatareporte_participantes[".ajaxCodeSnippetAdded"] = false;

$tdatareporte_participantes[".buttonsAdded"] = false;

$tdatareporte_participantes[".addPageEvents"] = false;

// use timepicker for search panel
$tdatareporte_participantes[".isUseTimeForSearch"] = false;


$tdatareporte_participantes[".badgeColor"] = "D2AF80";


$tdatareporte_participantes[".allSearchFields"] = array();
$tdatareporte_participantes[".filterFields"] = array();
$tdatareporte_participantes[".requiredSearchFields"] = array();

$tdatareporte_participantes[".googleLikeFields"] = array();
$tdatareporte_participantes[".googleLikeFields"][] = "PARTICIPANTE";
$tdatareporte_participantes[".googleLikeFields"][] = "ci";
$tdatareporte_participantes[".googleLikeFields"][] = "procedencia";
$tdatareporte_participantes[".googleLikeFields"][] = "create_date";
$tdatareporte_participantes[".googleLikeFields"][] = "estado_participante";
$tdatareporte_participantes[".googleLikeFields"][] = "fecha";
$tdatareporte_participantes[".googleLikeFields"][] = "fecha_registro";
$tdatareporte_participantes[".googleLikeFields"][] = "id";
$tdatareporte_participantes[".googleLikeFields"][] = "id_promocion";
$tdatareporte_participantes[".googleLikeFields"][] = "placa";
$tdatareporte_participantes[".googleLikeFields"][] = "responsable";
$tdatareporte_participantes[".googleLikeFields"][] = "telefono";
$tdatareporte_participantes[".googleLikeFields"][] = "tipo_vehiculo";



$tdatareporte_participantes[".tableType"] = "report";

$tdatareporte_participantes[".printerPageOrientation"] = 0;
$tdatareporte_participantes[".nPrinterPageScale"] = 100;

$tdatareporte_participantes[".nPrinterSplitRecords"] = 40;

$tdatareporte_participantes[".geocodingEnabled"] = false;

//report settings

$tdatareporte_participantes[".reportPrintGroupsPerPage"] = 3;
$tdatareporte_participantes[".reportPrintRecordsPerPage"] = 40;

$tdatareporte_participantes[".pageSizeGroups"] = 5;
$tdatareporte_participantes[".pageSizeRecords"] = 20;


//end of report settings






$tdatareporte_participantes[".noRecordsFirstPage"] = true;




$tstrOrderBy = "";
$tdatareporte_participantes[".strOrderBy"] = $tstrOrderBy;

$tdatareporte_participantes[".orderindexes"] = array();


$tdatareporte_participantes[".sqlHead"] = "SELECT CONCAT(p.apellido_paterno, ' ', 	p.apellido_materno, ' ',    p.nombres ) AS PARTICIPANTE,      	p.ci,   	p.procedencia,   	p.create_date,   	p.estado_participante,   	p.fecha,   	p.fecha_registro,   	p.id,   	p.id_promocion,     	p.placa,     	p.responsable,   	p.telefono,   	p.tipo_vehiculo";
$tdatareporte_participantes[".sqlFrom"] = "FROM  	pro_participante AS p  	INNER JOIN  	promocion AS pro  	ON   		p.id_promocion = pro.id_promocion";
$tdatareporte_participantes[".sqlWhereExpr"] = "pro.estado = 1";
$tdatareporte_participantes[".sqlTail"] = "";










//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdatareporte_participantes[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdatareporte_participantes[".arrGroupsPerPage"] = $arrGPP;

$tdatareporte_participantes[".highlightSearchResults"] = true;

$tableKeysreporte_participantes = array();
$tableKeysreporte_participantes[] = "id";
$tdatareporte_participantes[".Keys"] = $tableKeysreporte_participantes;


$tdatareporte_participantes[".hideMobileList"] = array();




//	PARTICIPANTE
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "PARTICIPANTE";
	$fdata["GoodName"] = "PARTICIPANTE";
	$fdata["ownerTable"] = "";
	$fdata["Label"] = GetFieldLabel("Reporte_Participantes","PARTICIPANTE");
	$fdata["FieldType"] = 200;


	
	
			

		$fdata["strField"] = "PARTICIPANTE";

	
	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "CONCAT(p.apellido_paterno, ' ', 	p.apellido_materno, ' ',    p.nombres )";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["report"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
//	End validation

	
	
	
	
	
	$fdata["EditFormats"]["search"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatareporte_participantes["PARTICIPANTE"] = $fdata;
		$tdatareporte_participantes[".searchableFields"][] = "PARTICIPANTE";
//	ci
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "ci";
	$fdata["GoodName"] = "ci";
	$fdata["ownerTable"] = "pro_participante";
	$fdata["Label"] = GetFieldLabel("Reporte_Participantes","ci");
	$fdata["FieldType"] = 14;


	
	
			

		$fdata["strField"] = "ci";

		$fdata["sourceSingle"] = "ci";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "p.ci";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["report"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
//	End validation

	
	
	
	
	
	$fdata["EditFormats"]["search"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatareporte_participantes["ci"] = $fdata;
		$tdatareporte_participantes[".searchableFields"][] = "ci";
//	procedencia
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 3;
	$fdata["strName"] = "procedencia";
	$fdata["GoodName"] = "procedencia";
	$fdata["ownerTable"] = "pro_participante";
	$fdata["Label"] = GetFieldLabel("Reporte_Participantes","procedencia");
	$fdata["FieldType"] = 3;


	
	
			

		$fdata["strField"] = "procedencia";

		$fdata["sourceSingle"] = "procedencia";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "p.procedencia";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["report"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Lookup wizard");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	

// Begin Lookup settings
				$edata["LookupType"] = 2;
	$edata["LookupTable"] = "aux";
			$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
		$edata["LCType"] = 0;

	
		
	$edata["LinkField"] = "id_aux";
	$edata["LinkFieldType"] = 0;
	$edata["DisplayField"] = "alias";

				$edata["LookupWhere"] = "aux=12";


	
	$edata["LookupOrderBy"] = "";

	
	
	
	

	
	
		$edata["SelectSize"] = 1;

// End Lookup Settings


		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
//	End validation

	
	
	
	
	
	$fdata["EditFormats"]["search"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatareporte_participantes["procedencia"] = $fdata;
		$tdatareporte_participantes[".searchableFields"][] = "procedencia";
//	create_date
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 4;
	$fdata["strName"] = "create_date";
	$fdata["GoodName"] = "create_date";
	$fdata["ownerTable"] = "pro_participante";
	$fdata["Label"] = GetFieldLabel("Reporte_Participantes","create_date");
	$fdata["FieldType"] = 135;


	
	
			

		$fdata["strField"] = "create_date";

		$fdata["sourceSingle"] = "create_date";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "p.create_date";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Datetime");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["report"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Date");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
		$edata["DateEditType"] = 13;
	$edata["InitialYearFactor"] = 100;
	$edata["LastYearFactor"] = 10;

	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
//	End validation

	
	
	
	
	
	$fdata["EditFormats"]["search"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Equals", "More than", "Less than", "Between", EMPTY_SEARCH, NOT_EMPTY );
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatareporte_participantes["create_date"] = $fdata;
		$tdatareporte_participantes[".searchableFields"][] = "create_date";
//	estado_participante
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 5;
	$fdata["strName"] = "estado_participante";
	$fdata["GoodName"] = "estado_participante";
	$fdata["ownerTable"] = "pro_participante";
	$fdata["Label"] = GetFieldLabel("Reporte_Participantes","estado_participante");
	$fdata["FieldType"] = 200;


	
	
			

		$fdata["strField"] = "estado_participante";

		$fdata["sourceSingle"] = "estado_participante";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "p.estado_participante";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Toggle");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["report"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Toggle");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
//	End validation

	
	
	
	
	
	$fdata["EditFormats"]["search"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatareporte_participantes["estado_participante"] = $fdata;
		$tdatareporte_participantes[".searchableFields"][] = "estado_participante";
//	fecha
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 6;
	$fdata["strName"] = "fecha";
	$fdata["GoodName"] = "fecha";
	$fdata["ownerTable"] = "pro_participante";
	$fdata["Label"] = GetFieldLabel("Reporte_Participantes","fecha");
	$fdata["FieldType"] = 135;


	
	
			

		$fdata["strField"] = "fecha";

		$fdata["sourceSingle"] = "fecha";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "p.fecha";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Datetime");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["report"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Date");

	
		$edata["weekdayMessage"] = array("message" => "Invalid week day", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
		$edata["DateEditType"] = 2;
	$edata["InitialYearFactor"] = 100;
	$edata["LastYearFactor"] = 10;

	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
//	End validation

	
	
	
	
	
	$fdata["EditFormats"]["search"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Equals", "More than", "Less than", "Between", EMPTY_SEARCH, NOT_EMPTY );
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatareporte_participantes["fecha"] = $fdata;
		$tdatareporte_participantes[".searchableFields"][] = "fecha";
//	fecha_registro
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 7;
	$fdata["strName"] = "fecha_registro";
	$fdata["GoodName"] = "fecha_registro";
	$fdata["ownerTable"] = "pro_participante";
	$fdata["Label"] = GetFieldLabel("Reporte_Participantes","fecha_registro");
	$fdata["FieldType"] = 135;


	
	
			

		$fdata["strField"] = "fecha_registro";

		$fdata["sourceSingle"] = "fecha_registro";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "p.fecha_registro";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Datetime");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["report"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Date");

	
		$edata["weekdayMessage"] = array("message" => "Invalid week day", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
		$edata["DateEditType"] = 2;
	$edata["InitialYearFactor"] = 100;
	$edata["LastYearFactor"] = 10;

	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
		$edata["autoUpdatable"] = true;

//	End validation

	
	
	
	
	
	$fdata["EditFormats"]["search"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Between";

			// the default search options list
				$fdata["searchOptionsList"] = array("Equals", "More than", "Less than", "Between", EMPTY_SEARCH, NOT_EMPTY );
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatareporte_participantes["fecha_registro"] = $fdata;
		$tdatareporte_participantes[".searchableFields"][] = "fecha_registro";
//	id
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 8;
	$fdata["strName"] = "id";
	$fdata["GoodName"] = "id";
	$fdata["ownerTable"] = "pro_participante";
	$fdata["Label"] = GetFieldLabel("Reporte_Participantes","id");
	$fdata["FieldType"] = 3;


		$fdata["AutoInc"] = true;

	
			

		$fdata["strField"] = "id";

		$fdata["sourceSingle"] = "id";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "p.id";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["report"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
//	End validation

	
	
	
	
	
	$fdata["EditFormats"]["search"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatareporte_participantes["id"] = $fdata;
		$tdatareporte_participantes[".searchableFields"][] = "id";
//	id_promocion
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 9;
	$fdata["strName"] = "id_promocion";
	$fdata["GoodName"] = "id_promocion";
	$fdata["ownerTable"] = "pro_participante";
	$fdata["Label"] = GetFieldLabel("Reporte_Participantes","id_promocion");
	$fdata["FieldType"] = 3;


	
	
			

		$fdata["strField"] = "id_promocion";

		$fdata["sourceSingle"] = "id_promocion";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "p.id_promocion";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["report"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Lookup wizard");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	

// Begin Lookup settings
				$edata["LookupType"] = 2;
	$edata["LookupTable"] = "promocion";
			$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
		$edata["LCType"] = 0;

	
		
	$edata["LinkField"] = "id_promocion";
	$edata["LinkFieldType"] = 0;
	$edata["DisplayField"] = "nombre";

				$edata["LookupWhere"] = "estado = 1";


	
	$edata["LookupOrderBy"] = "";

	
	
	
	

	
	
		$edata["SelectSize"] = 1;

// End Lookup Settings


		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
//	End validation

	
	
	
	
	
	$fdata["EditFormats"]["search"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatareporte_participantes["id_promocion"] = $fdata;
		$tdatareporte_participantes[".searchableFields"][] = "id_promocion";
//	placa
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 10;
	$fdata["strName"] = "placa";
	$fdata["GoodName"] = "placa";
	$fdata["ownerTable"] = "pro_participante";
	$fdata["Label"] = GetFieldLabel("Reporte_Participantes","placa");
	$fdata["FieldType"] = 200;


	
	
			

		$fdata["strField"] = "placa";

		$fdata["sourceSingle"] = "placa";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "p.placa";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["report"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=255";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
			$edata["validateAs"]["basicValidate"][] = "DenyDuplicated";
	$edata["validateAs"]["customMessages"]["DenyDuplicated"] = array("message" => "La %value% ya fue registrada", "messageType" => "Text");

	
//	End validation

	
	
	
		$edata["denyDuplicates"] = true;

	
	$fdata["EditFormats"]["search"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatareporte_participantes["placa"] = $fdata;
		$tdatareporte_participantes[".searchableFields"][] = "placa";
//	responsable
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 11;
	$fdata["strName"] = "responsable";
	$fdata["GoodName"] = "responsable";
	$fdata["ownerTable"] = "pro_participante";
	$fdata["Label"] = GetFieldLabel("Reporte_Participantes","responsable");
	$fdata["FieldType"] = 200;


	
	
			

		$fdata["strField"] = "responsable";

		$fdata["sourceSingle"] = "responsable";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "p.responsable";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["report"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Lookup wizard");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	

// Begin Lookup settings
				$edata["LookupType"] = 2;
	$edata["LookupTable"] = "sta_rosa_users";
			$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
		$edata["LCType"] = 0;

	
		
	$edata["LinkField"] = "ID";
	$edata["LinkFieldType"] = 0;
	$edata["DisplayField"] = "fullname";

				$edata["LookupWhere"] = "fullname = ':session.OwnerID'";


	
	$edata["LookupOrderBy"] = "";

	
	
	
	

	
	
		$edata["SelectSize"] = 1;

// End Lookup Settings


	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
		$edata["autoUpdatable"] = true;

//	End validation

	
	
	
	
	
	$fdata["EditFormats"]["search"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatareporte_participantes["responsable"] = $fdata;
		$tdatareporte_participantes[".searchableFields"][] = "responsable";
//	telefono
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 12;
	$fdata["strName"] = "telefono";
	$fdata["GoodName"] = "telefono";
	$fdata["ownerTable"] = "pro_participante";
	$fdata["Label"] = GetFieldLabel("Reporte_Participantes","telefono");
	$fdata["FieldType"] = 14;


	
	
			

		$fdata["strField"] = "telefono";

		$fdata["sourceSingle"] = "telefono";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "p.telefono";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["report"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "number";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
//	End validation

	
	
	
	
	
	$fdata["EditFormats"]["search"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatareporte_participantes["telefono"] = $fdata;
		$tdatareporte_participantes[".searchableFields"][] = "telefono";
//	tipo_vehiculo
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 13;
	$fdata["strName"] = "tipo_vehiculo";
	$fdata["GoodName"] = "tipo_vehiculo";
	$fdata["ownerTable"] = "pro_participante";
	$fdata["Label"] = GetFieldLabel("Reporte_Participantes","tipo_vehiculo");
	$fdata["FieldType"] = 3;


	
	
			

		$fdata["strField"] = "tipo_vehiculo";

		$fdata["sourceSingle"] = "tipo_vehiculo";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "p.tipo_vehiculo";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["report"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Lookup wizard");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	

// Begin Lookup settings
				$edata["LookupType"] = 2;
	$edata["LookupTable"] = "aux";
			$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
		$edata["LCType"] = 0;

	
		
	$edata["LinkField"] = "id_aux";
	$edata["LinkFieldType"] = 3;
	$edata["DisplayField"] = "nombre";

				$edata["LookupWhere"] = "valor like 'TIPO_VEHICULO'";


	
	$edata["LookupOrderBy"] = "";

	
	
	
	

	
	
		$edata["SelectSize"] = 1;

// End Lookup Settings


		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
//	End validation

	
	
	
	
	
	$fdata["EditFormats"]["search"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatareporte_participantes["tipo_vehiculo"] = $fdata;
		$tdatareporte_participantes[".searchableFields"][] = "tipo_vehiculo";


$tables_data["Reporte Participantes"]=&$tdatareporte_participantes;
$field_labels["Reporte_Participantes"] = &$fieldLabelsreporte_participantes;
$fieldToolTips["Reporte_Participantes"] = &$fieldToolTipsreporte_participantes;
$placeHolders["Reporte_Participantes"] = &$placeHoldersreporte_participantes;
$page_titles["Reporte_Participantes"] = &$pageTitlesreporte_participantes;


changeTextControlsToDate( "Reporte Participantes" );

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)

//if !@TABLE.bReportCrossTab

$detailsTablesData["Reporte Participantes"] = array();
//endif

// tables which are master tables for current table (detail)
$masterTablesData["Reporte Participantes"] = array();



// -----------------end  prepare master-details data arrays ------------------------------//



require_once(getabspath("classes/sql.php"));











function createSqlQuery_reporte_participantes()
{
$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "CONCAT(p.apellido_paterno, ' ', 	p.apellido_materno, ' ',    p.nombres ) AS PARTICIPANTE,      	p.ci,   	p.procedencia,   	p.create_date,   	p.estado_participante,   	p.fecha,   	p.fecha_registro,   	p.id,   	p.id_promocion,     	p.placa,     	p.responsable,   	p.telefono,   	p.tipo_vehiculo";
$proto0["m_strFrom"] = "FROM  	pro_participante AS p  	INNER JOIN  	promocion AS pro  	ON   		p.id_promocion = pro.id_promocion";
$proto0["m_strWhere"] = "pro.estado = 1";
$proto0["m_strOrderBy"] = "";
	
		;
			$proto0["cipherer"] = null;
$proto2=array();
$proto2["m_sql"] = "pro.estado = 1";
$proto2["m_uniontype"] = "SQLL_UNKNOWN";
						$obj = new SQLField(array(
	"m_strName" => "estado",
	"m_strTable" => "pro",
	"m_srcTableName" => "Reporte Participantes"
));

$proto2["m_column"]=$obj;
$proto2["m_contained"] = array();
$proto2["m_strCase"] = "= 1";
$proto2["m_havingmode"] = false;
$proto2["m_inBrackets"] = false;
$proto2["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto2);

$proto0["m_where"] = $obj;
$proto4=array();
$proto4["m_sql"] = "";
$proto4["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto4["m_column"]=$obj;
$proto4["m_contained"] = array();
$proto4["m_strCase"] = "";
$proto4["m_havingmode"] = false;
$proto4["m_inBrackets"] = false;
$proto4["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto4);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto6=array();
			$proto7=array();
$proto7["m_functiontype"] = "SQLF_CUSTOM";
$proto7["m_arguments"] = array();
						$obj = new SQLNonParsed(array(
	"m_sql" => "p.apellido_paterno"
));

$proto7["m_arguments"][]=$obj;
						$obj = new SQLNonParsed(array(
	"m_sql" => "' '"
));

$proto7["m_arguments"][]=$obj;
						$obj = new SQLNonParsed(array(
	"m_sql" => "p.apellido_materno"
));

$proto7["m_arguments"][]=$obj;
						$obj = new SQLNonParsed(array(
	"m_sql" => "' '"
));

$proto7["m_arguments"][]=$obj;
						$obj = new SQLNonParsed(array(
	"m_sql" => "p.nombres"
));

$proto7["m_arguments"][]=$obj;
$proto7["m_strFunctionName"] = "CONCAT";
$obj = new SQLFunctionCall($proto7);

$proto6["m_sql"] = "CONCAT(p.apellido_paterno, ' ', 	p.apellido_materno, ' ',    p.nombres )";
$proto6["m_srcTableName"] = "Reporte Participantes";
$proto6["m_expr"]=$obj;
$proto6["m_alias"] = "PARTICIPANTE";
$obj = new SQLFieldListItem($proto6);

$proto0["m_fieldlist"][]=$obj;
						$proto13=array();
			$obj = new SQLField(array(
	"m_strName" => "ci",
	"m_strTable" => "p",
	"m_srcTableName" => "Reporte Participantes"
));

$proto13["m_sql"] = "p.ci";
$proto13["m_srcTableName"] = "Reporte Participantes";
$proto13["m_expr"]=$obj;
$proto13["m_alias"] = "";
$obj = new SQLFieldListItem($proto13);

$proto0["m_fieldlist"][]=$obj;
						$proto15=array();
			$obj = new SQLField(array(
	"m_strName" => "procedencia",
	"m_strTable" => "p",
	"m_srcTableName" => "Reporte Participantes"
));

$proto15["m_sql"] = "p.procedencia";
$proto15["m_srcTableName"] = "Reporte Participantes";
$proto15["m_expr"]=$obj;
$proto15["m_alias"] = "";
$obj = new SQLFieldListItem($proto15);

$proto0["m_fieldlist"][]=$obj;
						$proto17=array();
			$obj = new SQLField(array(
	"m_strName" => "create_date",
	"m_strTable" => "p",
	"m_srcTableName" => "Reporte Participantes"
));

$proto17["m_sql"] = "p.create_date";
$proto17["m_srcTableName"] = "Reporte Participantes";
$proto17["m_expr"]=$obj;
$proto17["m_alias"] = "";
$obj = new SQLFieldListItem($proto17);

$proto0["m_fieldlist"][]=$obj;
						$proto19=array();
			$obj = new SQLField(array(
	"m_strName" => "estado_participante",
	"m_strTable" => "p",
	"m_srcTableName" => "Reporte Participantes"
));

$proto19["m_sql"] = "p.estado_participante";
$proto19["m_srcTableName"] = "Reporte Participantes";
$proto19["m_expr"]=$obj;
$proto19["m_alias"] = "";
$obj = new SQLFieldListItem($proto19);

$proto0["m_fieldlist"][]=$obj;
						$proto21=array();
			$obj = new SQLField(array(
	"m_strName" => "fecha",
	"m_strTable" => "p",
	"m_srcTableName" => "Reporte Participantes"
));

$proto21["m_sql"] = "p.fecha";
$proto21["m_srcTableName"] = "Reporte Participantes";
$proto21["m_expr"]=$obj;
$proto21["m_alias"] = "";
$obj = new SQLFieldListItem($proto21);

$proto0["m_fieldlist"][]=$obj;
						$proto23=array();
			$obj = new SQLField(array(
	"m_strName" => "fecha_registro",
	"m_strTable" => "p",
	"m_srcTableName" => "Reporte Participantes"
));

$proto23["m_sql"] = "p.fecha_registro";
$proto23["m_srcTableName"] = "Reporte Participantes";
$proto23["m_expr"]=$obj;
$proto23["m_alias"] = "";
$obj = new SQLFieldListItem($proto23);

$proto0["m_fieldlist"][]=$obj;
						$proto25=array();
			$obj = new SQLField(array(
	"m_strName" => "id",
	"m_strTable" => "p",
	"m_srcTableName" => "Reporte Participantes"
));

$proto25["m_sql"] = "p.id";
$proto25["m_srcTableName"] = "Reporte Participantes";
$proto25["m_expr"]=$obj;
$proto25["m_alias"] = "";
$obj = new SQLFieldListItem($proto25);

$proto0["m_fieldlist"][]=$obj;
						$proto27=array();
			$obj = new SQLField(array(
	"m_strName" => "id_promocion",
	"m_strTable" => "p",
	"m_srcTableName" => "Reporte Participantes"
));

$proto27["m_sql"] = "p.id_promocion";
$proto27["m_srcTableName"] = "Reporte Participantes";
$proto27["m_expr"]=$obj;
$proto27["m_alias"] = "";
$obj = new SQLFieldListItem($proto27);

$proto0["m_fieldlist"][]=$obj;
						$proto29=array();
			$obj = new SQLField(array(
	"m_strName" => "placa",
	"m_strTable" => "p",
	"m_srcTableName" => "Reporte Participantes"
));

$proto29["m_sql"] = "p.placa";
$proto29["m_srcTableName"] = "Reporte Participantes";
$proto29["m_expr"]=$obj;
$proto29["m_alias"] = "";
$obj = new SQLFieldListItem($proto29);

$proto0["m_fieldlist"][]=$obj;
						$proto31=array();
			$obj = new SQLField(array(
	"m_strName" => "responsable",
	"m_strTable" => "p",
	"m_srcTableName" => "Reporte Participantes"
));

$proto31["m_sql"] = "p.responsable";
$proto31["m_srcTableName"] = "Reporte Participantes";
$proto31["m_expr"]=$obj;
$proto31["m_alias"] = "";
$obj = new SQLFieldListItem($proto31);

$proto0["m_fieldlist"][]=$obj;
						$proto33=array();
			$obj = new SQLField(array(
	"m_strName" => "telefono",
	"m_strTable" => "p",
	"m_srcTableName" => "Reporte Participantes"
));

$proto33["m_sql"] = "p.telefono";
$proto33["m_srcTableName"] = "Reporte Participantes";
$proto33["m_expr"]=$obj;
$proto33["m_alias"] = "";
$obj = new SQLFieldListItem($proto33);

$proto0["m_fieldlist"][]=$obj;
						$proto35=array();
			$obj = new SQLField(array(
	"m_strName" => "tipo_vehiculo",
	"m_strTable" => "p",
	"m_srcTableName" => "Reporte Participantes"
));

$proto35["m_sql"] = "p.tipo_vehiculo";
$proto35["m_srcTableName"] = "Reporte Participantes";
$proto35["m_expr"]=$obj;
$proto35["m_alias"] = "";
$obj = new SQLFieldListItem($proto35);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto37=array();
$proto37["m_link"] = "SQLL_MAIN";
			$proto38=array();
$proto38["m_strName"] = "pro_participante";
$proto38["m_srcTableName"] = "Reporte Participantes";
$proto38["m_columns"] = array();
$proto38["m_columns"][] = "apellido_materno";
$proto38["m_columns"][] = "apellido_paterno";
$proto38["m_columns"][] = "ci";
$proto38["m_columns"][] = "create_date";
$proto38["m_columns"][] = "estado_participante";
$proto38["m_columns"][] = "fecha";
$proto38["m_columns"][] = "fecha_registro";
$proto38["m_columns"][] = "id";
$proto38["m_columns"][] = "id_promocion";
$proto38["m_columns"][] = "nombres";
$proto38["m_columns"][] = "placa";
$proto38["m_columns"][] = "procedencia";
$proto38["m_columns"][] = "responsable";
$proto38["m_columns"][] = "telefono";
$proto38["m_columns"][] = "tipo_vehiculo";
$obj = new SQLTable($proto38);

$proto37["m_table"] = $obj;
$proto37["m_sql"] = "pro_participante AS p";
$proto37["m_alias"] = "p";
$proto37["m_srcTableName"] = "Reporte Participantes";
$proto39=array();
$proto39["m_sql"] = "";
$proto39["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto39["m_column"]=$obj;
$proto39["m_contained"] = array();
$proto39["m_strCase"] = "";
$proto39["m_havingmode"] = false;
$proto39["m_inBrackets"] = false;
$proto39["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto39);

$proto37["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto37);

$proto0["m_fromlist"][]=$obj;
												$proto41=array();
$proto41["m_link"] = "SQLL_INNERJOIN";
			$proto42=array();
$proto42["m_strName"] = "promocion";
$proto42["m_srcTableName"] = "Reporte Participantes";
$proto42["m_columns"] = array();
$proto42["m_columns"][] = "codigo_aj";
$proto42["m_columns"][] = "descripcion";
$proto42["m_columns"][] = "estado";
$proto42["m_columns"][] = "fecha_fin";
$proto42["m_columns"][] = "fecha_inicial";
$proto42["m_columns"][] = "id_promocion";
$proto42["m_columns"][] = "log";
$proto42["m_columns"][] = "max_recarga";
$proto42["m_columns"][] = "nombre";
$proto42["m_columns"][] = "ventas";
$obj = new SQLTable($proto42);

$proto41["m_table"] = $obj;
$proto41["m_sql"] = "INNER JOIN  	promocion AS pro  	ON   		p.id_promocion = pro.id_promocion";
$proto41["m_alias"] = "pro";
$proto41["m_srcTableName"] = "Reporte Participantes";
$proto43=array();
$proto43["m_sql"] = "pro.id_promocion = p.id_promocion";
$proto43["m_uniontype"] = "SQLL_UNKNOWN";
						$obj = new SQLField(array(
	"m_strName" => "id_promocion",
	"m_strTable" => "pro",
	"m_srcTableName" => "Reporte Participantes"
));

$proto43["m_column"]=$obj;
$proto43["m_contained"] = array();
$proto43["m_strCase"] = "= p.id_promocion";
$proto43["m_havingmode"] = false;
$proto43["m_inBrackets"] = false;
$proto43["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto43);

$proto41["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto41);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
$proto0["m_orderby"] = array();
$proto0["m_srcTableName"]="Reporte Participantes";		
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData_reporte_participantes = createSqlQuery_reporte_participantes();


	
		;

													

$tdatareporte_participantes[".sqlquery"] = $queryData_reporte_participantes;



$tdatareporte_participantes[".hasEvents"] = false;

?>